<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">



<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="default">
<html>
<head>
<title><xsl:value-of select="@host"/> playlists: <xsl:value-of select="@title"/></title></head> <body> 
<img src="/empeg_musicserver.jpg" width="333" height="101"/> 
<table bgcolor="white" border="2">

	<thead>
		<tr>
			
    <td> <a> <xsl:attribute name="href"><xsl:value-of select="@tagfid"/>?.m3u</xsl:attribute> 
      <img src="/stream4.jpg"/></a> </td>
			
    <td> <a> <xsl:attribute name="href"><xsl:value-of select="@tagfid"/>?SERIAL=%23100.xml</xsl:attribute> 
      <img src="/play.jpg"/></a> </td>
			
    <td> <a> <xsl:attribute name="href"><xsl:value-of select="@tagfid"/></xsl:attribute> 
      <b><font face="Arial, Helvetica, sans-serif">Tags</font></b> </a> </td>
			<td align="center">
				<font size="+2">
					<b><em><font face="Arial, Helvetica, sans-serif"><xsl:value-of select="@title"/></font></em></b>
				</font>
			</td>
			
    <td><b><font face="Arial, Helvetica, sans-serif">Length</font></b></td>
			
    <td><b><font face="Arial, Helvetica, sans-serif">Type</font></b></td>
			
    <td><b><font face="Arial, Helvetica, sans-serif">Artist</font></b></td>
			
    <td><b><font face="Arial, Helvetica, sans-serif">Source</font></b></td>
		</tr>
	</thead>	
	<tbody>
		<xsl:apply-templates select="items"/>
	</tbody>
</table>

</body>
</html>

</xsl:template>



<xsl:template match="items">

	<xsl:for-each select="item">

		<xsl:choose>
			<xsl:when test = "(type[.='playlist']) and (position() mod 2 =0)">
				<tr bgcolor= "lightblue">
					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.m3u</xsl:attribute>
							<img src="/stream4.jpg"/>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="/default/@tagfid"/>?SERIAL=%23<xsl:value-of select="fid"/>.xml</xsl:attribute>
							<img src="/play.jpg"/>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="tagfid"/></xsl:attribute>
							<i><font face="Arial, Helvetica, sans-serif">Tags</font></i>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.xml</xsl:attribute>
							<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="title"/></font>
						</a>
					</td>

					<td align="center">
						<xsl:value-of select="length"/>
					</td>

					<td>
						<font face="Arial, Helvetica, sans-serif">Playlist</font>
					</td>

					<td>
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="artist"/></font>
					</td>

					<td>
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="source"/></font>
					</td>
				</tr>
			</xsl:when>

			<xsl:when test = "(type[.='playlist']) and (position() mod 2 =1)">
				<tr bgcolor= "slate">
					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.m3u</xsl:attribute>
							<img src="/stream4.jpg"/>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="/default/@tagfid"/>?SERIAL=%23<xsl:value-of select="fid"/>.xml</xsl:attribute>
							<img src="/play.jpg"/>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="tagfid"/></xsl:attribute>
							<i><font face="Arial, Helvetica, sans-serif">Tags</font></i>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.xml</xsl:attribute>
							<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="title"/></font>
						</a>
					</td>

					<td align="center">
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="length"/></font>
					</td>

					<td>
						<font face="Arial, Helvetica, sans-serif">Playlist</font>
					</td>

					<td>
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="artist"/></font>
					</td>

					<td>
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="source"/></font>
					</td>
				</tr>
			</xsl:when>

			<xsl:when test = "(type[.='tune']) and (position() mod 2 =0)">
				<tr bgcolor= "blanchedalmond">
					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.m3u</xsl:attribute>
							<img src="/stream4.jpg"/>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="/default/@tagfid"/>?SERIAL=%23<xsl:value-of select="fid"/>.xml</xsl:attribute>
							<img src="/play.jpg"/>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="tagfid"/></xsl:attribute>
							<i><font face="Arial, Helvetica, sans-serif">Tags</font></i>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="fid"/></xsl:attribute>
							<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="title"/></font>
						</a>
					</td>

					<td align="center">
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="duration"/></font>
					</td>

					<td>
						<font face="Arial, Helvetica, sans-serif">Tune</font>
					</td>

					<td>
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="artist"/></font>
					</td>

					<td>
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="source"/></font>
					</td>
				</tr>
			</xsl:when>
			<xsl:when test = "(type[.='tune']) and (position() mod 2 =1)">
				<tr bgcolor= "yellow">
					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.m3u</xsl:attribute>
							<img src="/stream4.jpg"/>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="/default/@tagfid"/>?SERIAL=%23<xsl:value-of select="fid"/>.xml</xsl:attribute>
							<img src="/play.jpg"/>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="tagfid"/></xsl:attribute>
							<i><font face="Arial, Helvetica, sans-serif">Tags</font></i>
						</a>
					</td>

					<td>
						<a>
							<xsl:attribute name="href"><xsl:value-of select="fid"/></xsl:attribute>
							<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="title"/></font>
						</a>
					</td>

					<td align="center">
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="duration"/></font>
					</td>

					<td>
						<font face="Arial, Helvetica, sans-serif">Tune</font>
					</td>

					<td>
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="artist"/></font>
					</td>

					<td>
						<font face="Arial, Helvetica, sans-serif"><xsl:value-of select="source"/></font>
					</td>
				</tr>
			</xsl:when>

		</xsl:choose>

	</xsl:for-each>

</xsl:template>


</xsl:stylesheet>
